<?php

/**
 * domeny actions.
 *
 * @package    sam3
 * @subpackage domeny
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class domenyActions extends myActions
{
  public function preExecute()
  {
  	$perm = ($this->getUser()->checkPermission('dome','edit')==1)?true:false;
    
  	if(!$perm || !in_array('dome', ModulPeer::getEnabled()))$this->forward(sfConfig::get('sf_secure_module'),sfConfig::get('sf_secure_action'));
  }

  public function executeIndex(sfWebRequest $request)
  {
    $this->domeny_list = DomenyPeer::doSelect(new Criteria());
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new DomenyForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));

    $this->form = new DomenyForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($domeny = DomenyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny does not exist (%s).', $request->getParameter('id')));
    $this->form = new DomenyForm($domeny);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($domeny = DomenyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny does not exist (%s).', $request->getParameter('id')));
    $this->form = new DomenyForm($domeny);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();

    $this->forward404Unless($domeny = DomenyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny does not exist (%s).', $request->getParameter('id')));
    $domeny->delete();
    $this->getUser()->setFlash('notice', 'Pomyślnie usunięto.');

    $this->redirect('domeny/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $domeny = $form->save();
      $this->getUser()->setFlash('notice', $this->__('save_ok'));
      $this->redirect('domeny/edit?id='.$domeny->getId());
    }
  }
}
