-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `domeny`
--

CREATE TABLE IF NOT EXISTS `domeny` (
  `id` int(11) NOT NULL,
  `domena_nazwa` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `rejestracja_prywatne` tinyint(4) DEFAULT '0',
  `rejestracja_komercyjne` tinyint(4) DEFAULT '0',
  `rejestracja_organizacje` tinyint(4) DEFAULT '0',
  `regulamin_prywatne` text COLLATE utf8_polish_ci,
  `regulamin_komercyjne` text COLLATE utf8_polish_ci,
  `regulamin_organizacje` text COLLATE utf8_polish_ci,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `domeny_zamowienia`
--

CREATE TABLE IF NOT EXISTS `domeny_zamowienia` (
  `id` int(11) NOT NULL,
  `domena_id` int(11) NOT NULL,
  `domena_nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `uzasadnienie` text COLLATE utf8_polish_ci NOT NULL,
  `imie` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `nazwisko` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `nazwa_firmy` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `adres` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `kod` varchar(20) COLLATE utf8_polish_ci NOT NULL,
  `miasto` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `nip` varchar(50) COLLATE utf8_polish_ci DEFAULT NULL,
  `telefon` varchar(50) COLLATE utf8_polish_ci NOT NULL,
  `email` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `reprezentant` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `reprezentant_email` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `obecna_nazwa_strony` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `adres_ip` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `dns1` varchar(20) COLLATE utf8_polish_ci DEFAULT NULL,
  `dns2` varchar(20) COLLATE utf8_polish_ci DEFAULT NULL,
  `nazwa_uslugodawcy` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `osoba_odpowiedzialna` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `email_uslugodawcy` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `telefon_uslugodawcy` varchar(50) COLLATE utf8_polish_ci NOT NULL,
  `aktywna` tinyint(4) DEFAULT '0',
  `aktywna_od` datetime DEFAULT NULL,
  `aktywna_do` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `domeny`
--
ALTER TABLE `domeny`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `domeny_zamowienia`
--
ALTER TABLE `domeny_zamowienia`
  ADD PRIMARY KEY (`id`),
  ADD KEY `domeny_zamowienia_FI_1` (`domena_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `domeny`
--
ALTER TABLE `domeny`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `domeny_zamowienia`
--
ALTER TABLE `domeny_zamowienia`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `domeny_zamowienia`
--
ALTER TABLE `domeny_zamowienia`
  ADD CONSTRAINT `domeny_zamowienia_FK_1` FOREIGN KEY (`domena_id`) REFERENCES `domeny` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(36, 'dome', 1, 0, 0, 'Rezerwacja domen', 5, 1, 0);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
