<?php

/**
 * Domeny form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class DomenyForm extends BaseDomenyForm {

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');

        unset($this->validatorSchema['created_at']);
        unset($this->widgetSchema['created_at']);

        unset($this->validatorSchema['updated_at']);
        unset($this->widgetSchema['updated_at']);

        $this->widgetSchema['regulamin_prywatne'] = new sfWidgetFormTextareaTinyMCEUser(
            array('can_be_adv' => false),
            array('class' => 'tiny_mce_1', 'style' => 'width: 520px;')
        );

        $this->widgetSchema['regulamin_komercyjne'] = new sfWidgetFormTextareaTinyMCEUser(
            array('can_be_adv' => false),
            array('class' => 'tiny_mce_2', 'style' => 'width: 520px;')
        );

        $this->widgetSchema['regulamin_organizacje'] = new sfWidgetFormTextareaTinyMCEUser(
            array('can_be_adv' => false),
            array('class' => 'tiny_mce_3', 'style' => 'width: 520px;')
        );

        $this->widgetSchema->setLabels(array(
            'domena_nazwa' => 'Nazwa domeny',
            'rejestracja_prywatne' => 'Rejestracja dla osób prywatnych',
            'rejestracja_komercyjne' => 'Rejestracja dla podmiotów gospodarczych',
            'rejestracja_organizacje' => 'Rejestracja dla organizacji',
            'regulamin_prywatne' => 'Regulamin dla osób prywatnych',
            'regulamin_komercyjne' => 'Regulamin dla podmiotów gospodarczych',
            'regulamin_organizacje' => 'Regulamin dla organizacji',
        ));

        $this->widgetSchema->setHelps(array(
            'domena_nazwa' => 'Nazwa domeny',
            'rejestracja_prywatne' => 'Rejestracja dla osób prywatnych',
            'rejestracja_komercyjne' => 'Rejestracja dla podmiotów gospodarczych',
            'rejestracja_organizacje' => 'Rejestracja dla organizacji',
            'regulamin_prywatne' => 'Regulamin dla osób prywatnych',
            'regulamin_komercyjne' => 'Regulamin dla podmiotów gospodarczych',
            'regulamin_organizacje' => 'Regulamin dla organizacji',
        ));
    }

}
