<?php


abstract class BaseDomenyZamowieniaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'domeny_zamowienia';

	
	const CLASS_DEFAULT = 'lib.model.DomenyZamowienia';

	
	const NUM_COLUMNS = 28;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'domeny_zamowienia.ID';

	
	const DOMENA_ID = 'domeny_zamowienia.DOMENA_ID';

	
	const DOMENA_NAZWA = 'domeny_zamowienia.DOMENA_NAZWA';

	
	const UZASADNIENIE = 'domeny_zamowienia.UZASADNIENIE';

	
	const IMIE = 'domeny_zamowienia.IMIE';

	
	const NAZWISKO = 'domeny_zamowienia.NAZWISKO';

	
	const NAZWA_FIRMY = 'domeny_zamowienia.NAZWA_FIRMY';

	
	const ADRES = 'domeny_zamowienia.ADRES';

	
	const KOD = 'domeny_zamowienia.KOD';

	
	const MIASTO = 'domeny_zamowienia.MIASTO';

	
	const NIP = 'domeny_zamowienia.NIP';

	
	const TELEFON = 'domeny_zamowienia.TELEFON';

	
	const EMAIL = 'domeny_zamowienia.EMAIL';

	
	const REPREZENTANT = 'domeny_zamowienia.REPREZENTANT';

	
	const REPREZENTANT_EMAIL = 'domeny_zamowienia.REPREZENTANT_EMAIL';

	
	const OBECNA_NAZWA_STRONY = 'domeny_zamowienia.OBECNA_NAZWA_STRONY';

	
	const ADRES_IP = 'domeny_zamowienia.ADRES_IP';

	
	const DNS1 = 'domeny_zamowienia.DNS1';

	
	const DNS2 = 'domeny_zamowienia.DNS2';

	
	const NAZWA_USLUGODAWCY = 'domeny_zamowienia.NAZWA_USLUGODAWCY';

	
	const OSOBA_ODPOWIEDZIALNA = 'domeny_zamowienia.OSOBA_ODPOWIEDZIALNA';

	
	const EMAIL_USLUGODAWCY = 'domeny_zamowienia.EMAIL_USLUGODAWCY';

	
	const TELEFON_USLUGODAWCY = 'domeny_zamowienia.TELEFON_USLUGODAWCY';

	
	const AKTYWNA = 'domeny_zamowienia.AKTYWNA';

	
	const AKTYWNA_OD = 'domeny_zamowienia.AKTYWNA_OD';

	
	const AKTYWNA_DO = 'domeny_zamowienia.AKTYWNA_DO';

	
	const CREATED_AT = 'domeny_zamowienia.CREATED_AT';

	
	const UPDATED_AT = 'domeny_zamowienia.UPDATED_AT';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'DomenaId', 'DomenaNazwa', 'Uzasadnienie', 'Imie', 'Nazwisko', 'NazwaFirmy', 'Adres', 'Kod', 'Miasto', 'Nip', 'Telefon', 'Email', 'Reprezentant', 'ReprezentantEmail', 'ObecnaNazwaStrony', 'AdresIp', 'Dns1', 'Dns2', 'NazwaUslugodawcy', 'OsobaOdpowiedzialna', 'EmailUslugodawcy', 'TelefonUslugodawcy', 'Aktywna', 'AktywnaOd', 'AktywnaDo', 'CreatedAt', 'UpdatedAt', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'domenaId', 'domenaNazwa', 'uzasadnienie', 'imie', 'nazwisko', 'nazwaFirmy', 'adres', 'kod', 'miasto', 'nip', 'telefon', 'email', 'reprezentant', 'reprezentantEmail', 'obecnaNazwaStrony', 'adresIp', 'dns1', 'dns2', 'nazwaUslugodawcy', 'osobaOdpowiedzialna', 'emailUslugodawcy', 'telefonUslugodawcy', 'aktywna', 'aktywnaOd', 'aktywnaDo', 'createdAt', 'updatedAt', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::DOMENA_ID, self::DOMENA_NAZWA, self::UZASADNIENIE, self::IMIE, self::NAZWISKO, self::NAZWA_FIRMY, self::ADRES, self::KOD, self::MIASTO, self::NIP, self::TELEFON, self::EMAIL, self::REPREZENTANT, self::REPREZENTANT_EMAIL, self::OBECNA_NAZWA_STRONY, self::ADRES_IP, self::DNS1, self::DNS2, self::NAZWA_USLUGODAWCY, self::OSOBA_ODPOWIEDZIALNA, self::EMAIL_USLUGODAWCY, self::TELEFON_USLUGODAWCY, self::AKTYWNA, self::AKTYWNA_OD, self::AKTYWNA_DO, self::CREATED_AT, self::UPDATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'domena_id', 'domena_nazwa', 'uzasadnienie', 'imie', 'nazwisko', 'nazwa_firmy', 'adres', 'kod', 'miasto', 'nip', 'telefon', 'email', 'reprezentant', 'reprezentant_email', 'obecna_nazwa_strony', 'adres_ip', 'dns1', 'dns2', 'nazwa_uslugodawcy', 'osoba_odpowiedzialna', 'email_uslugodawcy', 'telefon_uslugodawcy', 'aktywna', 'aktywna_od', 'aktywna_do', 'created_at', 'updated_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'DomenaId' => 1, 'DomenaNazwa' => 2, 'Uzasadnienie' => 3, 'Imie' => 4, 'Nazwisko' => 5, 'NazwaFirmy' => 6, 'Adres' => 7, 'Kod' => 8, 'Miasto' => 9, 'Nip' => 10, 'Telefon' => 11, 'Email' => 12, 'Reprezentant' => 13, 'ReprezentantEmail' => 14, 'ObecnaNazwaStrony' => 15, 'AdresIp' => 16, 'Dns1' => 17, 'Dns2' => 18, 'NazwaUslugodawcy' => 19, 'OsobaOdpowiedzialna' => 20, 'EmailUslugodawcy' => 21, 'TelefonUslugodawcy' => 22, 'Aktywna' => 23, 'AktywnaOd' => 24, 'AktywnaDo' => 25, 'CreatedAt' => 26, 'UpdatedAt' => 27, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'domenaId' => 1, 'domenaNazwa' => 2, 'uzasadnienie' => 3, 'imie' => 4, 'nazwisko' => 5, 'nazwaFirmy' => 6, 'adres' => 7, 'kod' => 8, 'miasto' => 9, 'nip' => 10, 'telefon' => 11, 'email' => 12, 'reprezentant' => 13, 'reprezentantEmail' => 14, 'obecnaNazwaStrony' => 15, 'adresIp' => 16, 'dns1' => 17, 'dns2' => 18, 'nazwaUslugodawcy' => 19, 'osobaOdpowiedzialna' => 20, 'emailUslugodawcy' => 21, 'telefonUslugodawcy' => 22, 'aktywna' => 23, 'aktywnaOd' => 24, 'aktywnaDo' => 25, 'createdAt' => 26, 'updatedAt' => 27, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::DOMENA_ID => 1, self::DOMENA_NAZWA => 2, self::UZASADNIENIE => 3, self::IMIE => 4, self::NAZWISKO => 5, self::NAZWA_FIRMY => 6, self::ADRES => 7, self::KOD => 8, self::MIASTO => 9, self::NIP => 10, self::TELEFON => 11, self::EMAIL => 12, self::REPREZENTANT => 13, self::REPREZENTANT_EMAIL => 14, self::OBECNA_NAZWA_STRONY => 15, self::ADRES_IP => 16, self::DNS1 => 17, self::DNS2 => 18, self::NAZWA_USLUGODAWCY => 19, self::OSOBA_ODPOWIEDZIALNA => 20, self::EMAIL_USLUGODAWCY => 21, self::TELEFON_USLUGODAWCY => 22, self::AKTYWNA => 23, self::AKTYWNA_OD => 24, self::AKTYWNA_DO => 25, self::CREATED_AT => 26, self::UPDATED_AT => 27, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'domena_id' => 1, 'domena_nazwa' => 2, 'uzasadnienie' => 3, 'imie' => 4, 'nazwisko' => 5, 'nazwa_firmy' => 6, 'adres' => 7, 'kod' => 8, 'miasto' => 9, 'nip' => 10, 'telefon' => 11, 'email' => 12, 'reprezentant' => 13, 'reprezentant_email' => 14, 'obecna_nazwa_strony' => 15, 'adres_ip' => 16, 'dns1' => 17, 'dns2' => 18, 'nazwa_uslugodawcy' => 19, 'osoba_odpowiedzialna' => 20, 'email_uslugodawcy' => 21, 'telefon_uslugodawcy' => 22, 'aktywna' => 23, 'aktywna_od' => 24, 'aktywna_do' => 25, 'created_at' => 26, 'updated_at' => 27, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new DomenyZamowieniaMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(DomenyZamowieniaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(DomenyZamowieniaPeer::ID);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::DOMENA_ID);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::DOMENA_NAZWA);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::UZASADNIENIE);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::IMIE);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::NAZWISKO);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::NAZWA_FIRMY);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::ADRES);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::KOD);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::MIASTO);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::NIP);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::TELEFON);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::EMAIL);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::REPREZENTANT);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::REPREZENTANT_EMAIL);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::OBECNA_NAZWA_STRONY);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::ADRES_IP);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::DNS1);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::DNS2);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::NAZWA_USLUGODAWCY);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::OSOBA_ODPOWIEDZIALNA);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::EMAIL_USLUGODAWCY);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::TELEFON_USLUGODAWCY);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::AKTYWNA);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::AKTYWNA_OD);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::AKTYWNA_DO);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::CREATED_AT);

		$criteria->addSelectColumn(DomenyZamowieniaPeer::UPDATED_AT);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(DomenyZamowieniaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			DomenyZamowieniaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = DomenyZamowieniaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return DomenyZamowieniaPeer::populateObjects(DomenyZamowieniaPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			DomenyZamowieniaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(DomenyZamowienia $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof DomenyZamowienia) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or DomenyZamowienia object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = DomenyZamowieniaPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = DomenyZamowieniaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = DomenyZamowieniaPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				DomenyZamowieniaPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinDomeny(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(DomenyZamowieniaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			DomenyZamowieniaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(DomenyZamowieniaPeer::DOMENA_ID,), array(DomenyPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinDomeny(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DomenyZamowieniaPeer::addSelectColumns($c);
		$startcol = (DomenyZamowieniaPeer::NUM_COLUMNS - DomenyZamowieniaPeer::NUM_LAZY_LOAD_COLUMNS);
		DomenyPeer::addSelectColumns($c);

		$c->addJoin(array(DomenyZamowieniaPeer::DOMENA_ID,), array(DomenyPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = DomenyZamowieniaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = DomenyZamowieniaPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = DomenyZamowieniaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				DomenyZamowieniaPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = DomenyPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = DomenyPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = DomenyPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					DomenyPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addDomenyZamowienia($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(DomenyZamowieniaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			DomenyZamowieniaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(DomenyZamowieniaPeer::DOMENA_ID,), array(DomenyPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DomenyZamowieniaPeer::addSelectColumns($c);
		$startcol2 = (DomenyZamowieniaPeer::NUM_COLUMNS - DomenyZamowieniaPeer::NUM_LAZY_LOAD_COLUMNS);

		DomenyPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (DomenyPeer::NUM_COLUMNS - DomenyPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(DomenyZamowieniaPeer::DOMENA_ID,), array(DomenyPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = DomenyZamowieniaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = DomenyZamowieniaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = DomenyZamowieniaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				DomenyZamowieniaPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = DomenyPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = DomenyPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = DomenyPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					DomenyPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addDomenyZamowienia($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return DomenyZamowieniaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(DomenyZamowieniaPeer::ID) && $criteria->keyContainsValue(DomenyZamowieniaPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.DomenyZamowieniaPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(DomenyZamowieniaPeer::ID);
			$selectCriteria->add(DomenyZamowieniaPeer::ID, $criteria->remove(DomenyZamowieniaPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(DomenyZamowieniaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												DomenyZamowieniaPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof DomenyZamowienia) {
						DomenyZamowieniaPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(DomenyZamowieniaPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								DomenyZamowieniaPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(DomenyZamowienia $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(DomenyZamowieniaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(DomenyZamowieniaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(DomenyZamowieniaPeer::DATABASE_NAME, DomenyZamowieniaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = DomenyZamowieniaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = DomenyZamowieniaPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(DomenyZamowieniaPeer::DATABASE_NAME);
		$criteria->add(DomenyZamowieniaPeer::ID, $pk);

		$v = DomenyZamowieniaPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(DomenyZamowieniaPeer::DATABASE_NAME);
			$criteria->add(DomenyZamowieniaPeer::ID, $pks, Criteria::IN);
			$objs = DomenyZamowieniaPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseDomenyZamowieniaPeer::DATABASE_NAME)->addTableBuilder(BaseDomenyZamowieniaPeer::TABLE_NAME, BaseDomenyZamowieniaPeer::getMapBuilder());

