<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form name="pform" action="<?php echo url_for('domeny/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <fieldset class="editor">
    <legend><?php echo __('Domena'); ?></legend>
    <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>
  <table class="simple_tab_for_form">
    <tfoot>
      <tr>
        <td colspan="2">
          <?php echo $form->renderHiddenFields() ?>
        </td>
      </tr>
    </tfoot>
    <tbody>
      <?php echo $form->renderGlobalErrors() ?>
      <tr>
        <th><?php echo $form['domena_nazwa']->renderLabel() ?></th>
        <td>
          <?php echo $form['domena_nazwa']->renderError() ?>
          <?php echo $form['domena_nazwa'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['domena_nazwa']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['rejestracja_prywatne']->renderLabel() ?></th>
        <td>
          <?php echo $form['rejestracja_prywatne']->renderError() ?>
          <?php echo $form['rejestracja_prywatne'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['rejestracja_prywatne']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['rejestracja_komercyjne']->renderLabel() ?></th>
        <td>
          <?php echo $form['rejestracja_komercyjne']->renderError() ?>
          <?php echo $form['rejestracja_komercyjne'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['rejestracja_komercyjne']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['rejestracja_organizacje']->renderLabel() ?></th>
        <td>
          <?php echo $form['rejestracja_organizacje']->renderError() ?>
          <?php echo $form['rejestracja_organizacje'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['rejestracja_organizacje']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['regulamin_prywatne']->renderLabel() ?></th>
        <td>
          <?php echo $form['regulamin_prywatne']->renderError() ?>
          <?php echo $form['regulamin_prywatne'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['regulamin_prywatne']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['regulamin_komercyjne']->renderLabel() ?></th>
        <td>
          <?php echo $form['regulamin_komercyjne']->renderError() ?>
          <?php echo $form['regulamin_komercyjne'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['regulamin_komercyjne']->renderHelp() ?></td></tr>
      <tr>
        <th><?php echo $form['regulamin_organizacje']->renderLabel() ?></th>
        <td>
          <?php echo $form['regulamin_organizacje']->renderError() ?>
          <?php echo $form['regulamin_organizacje'] ?>
        </td>
      </tr>
      <tr><th></th><td class="help"><?php echo $form['regulamin_organizacje']->renderHelp() ?></td></tr>
      
    </tbody>
  </table>
    </fieldset>
</form>
<div class="right">
    <?php include_partial('edit_actions', array('form' => $form));?>
</div>
