<?php use_helper('Date')?>

<?php slot('top')?>
    <?php GenerateTab('dome'); ?>
<?php end_slot()?>

<?php slot('actions'); ?>

<?php end_slot(); ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%">
    <div id="cms_center_panel">
        <?php include_partial('domeny/modulmenu') ?>
    </div>

    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __("ZESTAWIENIE ZGŁOSZEŃ REJESTRACJI DOMEN") ?></div>


        <table class="table_list">
            <thead>
                <tr>
                    <th><?php echo __("Domena") ?></th>
                    <th><?php echo __("Aktywna") ?></th>
                    <th><?php echo __("Aktywna od") ?></th>
                    <th><?php echo __("Aktywna do") ?></th>
                    <th><?php echo __("Akcje") ?></th>
                </tr>
            </thead>
            <tbody>
                <?php $i=1; foreach ($domeny_zamowienia_list as $domeny_zamowienia): $odd = fmod(++$i, 2); ?>
                    <tr class="row_<?php echo $odd?>">
                        <td><a href="<?php echo url_for('domeny_zamowienia/edit?id='.$domeny_zamowienia->getId()) ?>"><?php echo $domeny_zamowienia->getDomenaNazwa() ?>.<?php echo $domeny_zamowienia->getDomeny() ?></a></td>


                        <td style="text-align: center;">
                            <?php $img = $domeny_zamowienia->getAktywna()?'tak':'nie'; ?>
                            <?php echo image_tag('admin/'.$img.'.png', array('alt_title' => __($domeny_zamowienia->getAktywna()?'Tak':'Nie')));?>
                        </td>
                        <td><?php echo $domeny_zamowienia->getAktywnaOd() ?></td>
                        <td><?php echo $domeny_zamowienia->getAktywnaDo() ?></td>
                        <td>
                            <?php echo link_to(' ', 'domeny_zamowienia/edit?id='.$domeny_zamowienia->getId(),array('class'=>'min_edit', 'title'=>'Edytuj')) ?>
                            <?php echo link_to(' ', 'domeny_zamowienia/delete?id='.$domeny_zamowienia->getId(), array('class'=>'min_del', 'title'=>'Skasuj', 'method' => 'delete', 'confirm' => 'Czy na pewno usunąć ten wpis?')) ?>
                            <?php echo link_to(' ', 'domeny_zamowienia/drukzgloszenia?id='.$domeny_zamowienia->getId(), array('class'=>'min_pdf', 'title'=>'Wygeneruj druk zgłoszenia')) ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                <?php if(count($domeny_zamowienia_list)==0): ?>
                    <tr class="row_0">
                        <td colspan="5" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
            <tfoot>
                <tr><th colspan="5">
                        <div style="float:left;">
                            <?php echo __("wyników") ?>: <?php echo count($domeny_zamowienia_list)?>
                        </div>
                    </th></tr>
            </tfoot>
        </table>
    </div>
</div>

