<?php

/**
 * DomenyZamowienia form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class DomenyZamowieniaUserForm extends DomenyZamowieniaForm {

    public function configure() {
        unset($this->validatorSchema['created_at']);
        unset($this->widgetSchema['created_at']);

        unset($this->validatorSchema['updated_at']);
        unset($this->widgetSchema['updated_at']);

        unset($this->validatorSchema['aktywna_od']);
        unset($this->widgetSchema['aktywna_od']);

        unset($this->validatorSchema['aktywna_do']);
        unset($this->widgetSchema['aktywna_do']);

        unset($this->validatorSchema['aktywna']);
        unset($this->widgetSchema['aktywna']);

        $this->widgetSchema['domena_id'] = new sfWidgetFormInputHidden();

        $this->validatorSchema['email'] = new sfValidatorEmail();
        $this->validatorSchema['email_uslugodawcy'] = new sfValidatorEmail();
        $this->validatorSchema['reprezentant_email'] = new sfValidatorEmail();

        $this->widgetSchema->setLabels(array(
            'domena_nazwa' => 'Nazwa domeny',
            'uzasadnienie' => 'Uzasadnienie prawa do posługiwania się nazwą domeny',
            'imie' => 'Imię',
            'kod' => 'Kod pocztowy',
            'email' => 'Adres e-mail',
            'reprezentant' => 'Reprezentant wnioskodawcy',
            'reprezentant_email' => 'Adres e-mail reprezentanta',
            'adres_ip' => 'Adres IP',
            'nazwa_uslugodawcy' => 'Nazwa usługodawcy',
            'osoba_odpowiedzialna' => 'Imię i nazwisko osoby odpowiedzialnej',
            'email_uslugodawcy' => 'Adres e-mail usługodawcy',
            'telefon_uslugodawcy' => 'Telefon usługodawcy',
            'dns1' => 'Podstawowy serwer DNS',
            'dns2' => 'Zapasowy serwer DNS',
        ));
    }

}
