<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form action="<?php echo url_for('domeny/create') ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>

  <table>
    <tfoot>
      <tr>
        <td colspan="2">
          <?php echo $form->renderHiddenFields() ?>
          <input type="submit" value="<?php echo __('Wyślij zgłoszenie') ?>" />
        </td>
      </tr>
    </tfoot>
    <tbody>
      <?php echo $form->renderGlobalErrors() ?>
      <tr>
        <th><?php //echo $form['domena_id']->renderLabel() ?></th>
        <td>
          <?php echo $form['domena_id']->renderError() ?>
          <?php echo $form['domena_id'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['domena_nazwa']->renderLabel() ?></th>
        <td>
          <?php echo $form['domena_nazwa']->renderError() ?>
          <?php echo $form['domena_nazwa']->render(array('readonly'=>'readonly')) ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['uzasadnienie']->renderLabel() ?></th>
        <td>
          <?php echo $form['uzasadnienie']->renderError() ?>
          <?php echo $form['uzasadnienie'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['imie']->renderLabel() ?></th>
        <td>
          <?php echo $form['imie']->renderError() ?>
          <?php echo $form['imie'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['nazwisko']->renderLabel() ?></th>
        <td>
          <?php echo $form['nazwisko']->renderError() ?>
          <?php echo $form['nazwisko'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['nazwa_firmy']->renderLabel() ?></th>
        <td>
          <?php echo $form['nazwa_firmy']->renderError() ?>
          <?php echo $form['nazwa_firmy'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['adres']->renderLabel() ?></th>
        <td>
          <?php echo $form['adres']->renderError() ?>
          <?php echo $form['adres'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['kod']->renderLabel() ?></th>
        <td>
          <?php echo $form['kod']->renderError() ?>
          <?php echo $form['kod'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['miasto']->renderLabel() ?></th>
        <td>
          <?php echo $form['miasto']->renderError() ?>
          <?php echo $form['miasto'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['nip']->renderLabel() ?></th>
        <td>
          <?php echo $form['nip']->renderError() ?>
          <?php echo $form['nip'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['telefon']->renderLabel() ?></th>
        <td>
          <?php echo $form['telefon']->renderError() ?>
          <?php echo $form['telefon'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['email']->renderLabel() ?></th>
        <td>
          <?php echo $form['email']->renderError() ?>
          <?php echo $form['email'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['reprezentant']->renderLabel() ?></th>
        <td>
          <?php echo $form['reprezentant']->renderError() ?>
          <?php echo $form['reprezentant'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['reprezentant_email']->renderLabel() ?></th>
        <td>
          <?php echo $form['reprezentant_email']->renderError() ?>
          <?php echo $form['reprezentant_email'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['obecna_nazwa_strony']->renderLabel() ?></th>
        <td>
          <?php echo $form['obecna_nazwa_strony']->renderError() ?>
          <?php echo $form['obecna_nazwa_strony'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['adres_ip']->renderLabel() ?></th>
        <td>
          <?php echo $form['adres_ip']->renderError() ?>
          <?php echo $form['adres_ip'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['dns1']->renderLabel() ?></th>
        <td>
          <?php echo $form['dns1']->renderError() ?>
          <?php echo $form['dns1'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['dns2']->renderLabel() ?></th>
        <td>
          <?php echo $form['dns2']->renderError() ?>
          <?php echo $form['dns2'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['nazwa_uslugodawcy']->renderLabel() ?></th>
        <td>
          <?php echo $form['nazwa_uslugodawcy']->renderError() ?>
          <?php echo $form['nazwa_uslugodawcy'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['osoba_odpowiedzialna']->renderLabel() ?></th>
        <td>
          <?php echo $form['osoba_odpowiedzialna']->renderError() ?>
          <?php echo $form['osoba_odpowiedzialna'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['email_uslugodawcy']->renderLabel() ?></th>
        <td>
          <?php echo $form['email_uslugodawcy']->renderError() ?>
          <?php echo $form['email_uslugodawcy'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['telefon_uslugodawcy']->renderLabel() ?></th>
        <td>
          <?php echo $form['telefon_uslugodawcy']->renderError() ?>
          <?php echo $form['telefon_uslugodawcy'] ?>
        </td>
      </tr>
     
     
    </tbody>
  </table>
</form>
