<?php use_helper('Form') ?>
<h1><?php echo __("Rejestracja domen internetowych") ?></h1>

<h2><?php echo __("Krok 1: wybór nazwy domeny:") ?></h2>

<table>    
    <tbody>
        <?php foreach($domeny_list as $domena):?>
        
            <tr>
                <td>
                    <?php echo __("Dostępna dla:") ?>
                    <ul class="availability">
                        <?php if($domena->getRejestracjaPrywatne()): ?>
                            <li><?php echo __("osób prywatnych") ?></li>
                        <?php endif; ?>
                            
                        <?php if($domena->getRejestracjaKomercyjne()): ?>
                            <li><?php echo __("podmiotów komercyjnych") ?></li>
                        <?php endif; ?>

                        <?php if($domena->getRejestracjaOrganizacje()): ?>
                            <li><?php echo __("organizacji") ?></li>
                        <?php endif; ?>
                    </ul>

                </td>
                <td>
                    <?php
                        echo form_remote_tag(array(
                            'update'   => 'updater_'.$domena->getId(),
                            'url'      => 'domeny/check',
                            'loading'  => "Element.show('loading_".$domena->getId()."')",
                            'complete' => "Element.hide('loading_".$domena->getId()."')",
                        ));
                    ?>
                    <?php
                        echo input_hidden_tag('domena_id', $domena->getId());
                        echo input_hidden_tag('domena', $domena->getDomenaNazwa());
                        echo input_tag('subdomena', '');
                        echo '.'.$domena->getDomenaNazwa();
                    ?>
                </td>
                <td>
                    <input type="submit" value="<?php echo __("Sprawdź") ?>" />
                    <?php echo '</form>' ?>
                </td>
                <td>
                    <div style="display: none;" id="loading_<?php echo $domena->getId() ?>">
                    <?php echo image_tag('loadingAnimation.gif') ?>
                    </div>
                    <div id="updater_<?php echo $domena->getId() ?>"></div>
                </td>
            </tr>
        
        <?php endforeach; ?>
    </tbody>
    <thead>
        <tr><td colspan="3"><?php echo __("Rejestracja subdomeny w domenie:") ?> <tr><td>
    </thead>
</table>