<?php

/**
 * DomenyZamowienia form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class DomenyZamowieniaForm extends BaseDomenyZamowieniaForm {

    public function configure() {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        
        $this->widgetSchema['adres'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['kod'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['miasto'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['telefon'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['email'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['adres_ip'] = new sfWidgetFormInput(array(), array('class' => 'required'));

        $this->widgetSchema['obecna_nazwa_strony'] = new sfWidgetFormInput(array(), array('class' => 'required'));

        $this->widgetSchema['nazwa_uslugodawcy'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['osoba_odpowiedzialna'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['email_uslugodawcy'] = new sfWidgetFormInput(array(), array('class' => 'required'));
        $this->widgetSchema['telefon_uslugodawcy'] = new sfWidgetFormInput(array(), array('class' => 'required'));

        $this->widgetSchema['aktywna_od'] = new sfWidgetFormInputDateRich();
        $this->widgetSchema['aktywna_do'] = new sfWidgetFormInputDateRich();


        $this->widgetSchema->setLabels(array(
            'domena_id' => 'Domena',
            'nip' => 'NIP',
            'domena_nazwa' => 'Nazwa domeny',
            'uzasadnienie' => 'Uzasadnienie',
            'imie' => 'Imię',
            'kod' => 'Kod pocztowy',
            'email' => 'Adres e-mail',
            'reprezentant' => 'Reprezentant wnioskodawcy',
            'reprezentant_email' => 'Adres e-mail reprezentanta',
            'adres_ip' => 'Adres IP',
            'nazwa_uslugodawcy' => 'Nazwa usługodawcy',
            'osoba_odpowiedzialna' => 'Imię i nazwisko osoby odpowiedzialnej',
            'email_uslugodawcy' => 'Adres e-mail usługodawcy',
            'telefon_uslugodawcy' => 'Telefon usługodawcy',
            'dns1' => 'Podstawowy serwer DNS',
            'dns2' => 'Zapasowy serwer DNS',
        ));

        $this->widgetSchema->setHelps(array(
            'domena_id' => 'Domena',
            'nip' => 'NIP',
            'domena_nazwa' => 'Nazwa domeny',
            'uzasadnienie' => 'Uzasadnienie prawa do posługiwania się nazwą domeny',
            'imie' => 'Imię',
            'kod' => 'Kod pocztowy',
            'email' => 'Adres e-mail',
            'reprezentant' => 'Reprezentant wnioskodawcy',
            'reprezentant_email' => 'Adres e-mail reprezentanta',
            'adres_ip' => 'Adres IP',
            'nazwa_uslugodawcy' => 'Nazwa usługodawcy',
            'osoba_odpowiedzialna' => 'Imię i nazwisko osoby odpowiedzialnej',
            'email_uslugodawcy' => 'Adres e-mail usługodawcy',
            'telefon_uslugodawcy' => 'Telefon usługodawcy',
            'dns1' => 'Podstawowy serwer DNS',
            'dns2' => 'Zapasowy serwer DNS',
            'nazwisko' => 'Nazwisko',
            'nazwa_firmy' => 'Nazwa firmy',
            'adres' => 'Adres',
            'miasto' => 'Miasto',
            'telefon' => 'Telefon',
            'obecna_nazwa_strony' => 'Obecna nazwa strony',
            'aktywna' => 'Aktywna',
            'aktywna_od' => 'Aktywna od',
            'aktywna_do' => 'Aktywna do',
        ));
    }

}
