<?php

/**
 * Domeny form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseDomenyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                      => new sfWidgetFormInputHidden(),
      'domena_nazwa'            => new sfWidgetFormInput(),
      'rejestracja_prywatne'    => new sfWidgetFormInputCheckbox(),
      'rejestracja_komercyjne'  => new sfWidgetFormInputCheckbox(),
      'rejestracja_organizacje' => new sfWidgetFormInputCheckbox(),
      'regulamin_prywatne'      => new sfWidgetFormTextarea(),
      'regulamin_komercyjne'    => new sfWidgetFormTextarea(),
      'regulamin_organizacje'   => new sfWidgetFormTextarea(),
      'created_at'              => new sfWidgetFormDateTime(),
      'updated_at'              => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                      => new sfValidatorPropelChoice(array('model' => 'Domeny', 'column' => 'id', 'required' => false)),
      'domena_nazwa'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'rejestracja_prywatne'    => new sfValidatorBoolean(array('required' => false)),
      'rejestracja_komercyjne'  => new sfValidatorBoolean(array('required' => false)),
      'rejestracja_organizacje' => new sfValidatorBoolean(array('required' => false)),
      'regulamin_prywatne'      => new sfValidatorString(array('required' => false)),
      'regulamin_komercyjne'    => new sfValidatorString(array('required' => false)),
      'regulamin_organizacje'   => new sfValidatorString(array('required' => false)),
      'created_at'              => new sfValidatorDateTime(array('required' => false)),
      'updated_at'              => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('domeny[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Domeny';
  }


}
