<?php

/**
 * DomenyZamowienia form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseDomenyZamowieniaForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(),
      'domena_id'            => new sfWidgetFormPropelChoice(array('model' => 'Domeny', 'add_empty' => false)),
      'domena_nazwa'         => new sfWidgetFormInput(),
      'uzasadnienie'         => new sfWidgetFormTextarea(),
      'imie'                 => new sfWidgetFormInput(),
      'nazwisko'             => new sfWidgetFormInput(),
      'nazwa_firmy'          => new sfWidgetFormInput(),
      'adres'                => new sfWidgetFormInput(),
      'kod'                  => new sfWidgetFormInput(),
      'miasto'               => new sfWidgetFormInput(),
      'nip'                  => new sfWidgetFormInput(),
      'telefon'              => new sfWidgetFormInput(),
      'email'                => new sfWidgetFormInput(),
      'reprezentant'         => new sfWidgetFormInput(),
      'reprezentant_email'   => new sfWidgetFormInput(),
      'obecna_nazwa_strony'  => new sfWidgetFormInput(),
      'adres_ip'             => new sfWidgetFormInput(),
      'dns1'                 => new sfWidgetFormInput(),
      'dns2'                 => new sfWidgetFormInput(),
      'nazwa_uslugodawcy'    => new sfWidgetFormInput(),
      'osoba_odpowiedzialna' => new sfWidgetFormInput(),
      'email_uslugodawcy'    => new sfWidgetFormInput(),
      'telefon_uslugodawcy'  => new sfWidgetFormInput(),
      'aktywna'              => new sfWidgetFormInputCheckbox(),
      'aktywna_od'           => new sfWidgetFormDateTime(),
      'aktywna_do'           => new sfWidgetFormDateTime(),
      'created_at'           => new sfWidgetFormDateTime(),
      'updated_at'           => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorPropelChoice(array('model' => 'DomenyZamowienia', 'column' => 'id', 'required' => false)),
      'domena_id'            => new sfValidatorPropelChoice(array('model' => 'Domeny', 'column' => 'id')),
      'domena_nazwa'         => new sfValidatorString(array('max_length' => 255)),
      'uzasadnienie'         => new sfValidatorString(),
      'imie'                 => new sfValidatorString(array('max_length' => 255)),
      'nazwisko'             => new sfValidatorString(array('max_length' => 255)),
      'nazwa_firmy'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'adres'                => new sfValidatorString(array('max_length' => 255)),
      'kod'                  => new sfValidatorString(array('max_length' => 20)),
      'miasto'               => new sfValidatorString(array('max_length' => 100)),
      'nip'                  => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'telefon'              => new sfValidatorString(array('max_length' => 50)),
      'email'                => new sfValidatorString(array('max_length' => 100)),
      'reprezentant'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'reprezentant_email'   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'obecna_nazwa_strony'  => new sfValidatorString(array('max_length' => 255)),
      'adres_ip'             => new sfValidatorString(array('max_length' => 100)),
      'dns1'                 => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'dns2'                 => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'nazwa_uslugodawcy'    => new sfValidatorString(array('max_length' => 255)),
      'osoba_odpowiedzialna' => new sfValidatorString(array('max_length' => 255)),
      'email_uslugodawcy'    => new sfValidatorString(array('max_length' => 100)),
      'telefon_uslugodawcy'  => new sfValidatorString(array('max_length' => 50)),
      'aktywna'              => new sfValidatorBoolean(array('required' => false)),
      'aktywna_od'           => new sfValidatorDateTime(array('required' => false)),
      'aktywna_do'           => new sfValidatorDateTime(array('required' => false)),
      'created_at'           => new sfValidatorDateTime(array('required' => false)),
      'updated_at'           => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('domeny_zamowienia[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'DomenyZamowienia';
  }


}
