<?php



class DomenyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DomenyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(DomenyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(DomenyPeer::TABLE_NAME);
		$tMap->setPhpName('Domeny');
		$tMap->setClassname('Domeny');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('DOMENA_NAZWA', 'DomenaNazwa', 'VARCHAR', false, 255);

		$tMap->addColumn('REJESTRACJA_PRYWATNE', 'RejestracjaPrywatne', 'BOOLEAN', false, null);

		$tMap->addColumn('REJESTRACJA_KOMERCYJNE', 'RejestracjaKomercyjne', 'BOOLEAN', false, null);

		$tMap->addColumn('REJESTRACJA_ORGANIZACJE', 'RejestracjaOrganizacje', 'BOOLEAN', false, null);

		$tMap->addColumn('REGULAMIN_PRYWATNE', 'RegulaminPrywatne', 'LONGVARCHAR', false, null);

		$tMap->addColumn('REGULAMIN_KOMERCYJNE', 'RegulaminKomercyjne', 'LONGVARCHAR', false, null);

		$tMap->addColumn('REGULAMIN_ORGANIZACJE', 'RegulaminOrganizacje', 'LONGVARCHAR', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

	} 
} 