<?php


abstract class BaseDomenyZamowienia extends BaseObject  implements Persistent {


  const PEER = 'DomenyZamowieniaPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $domena_id;

	
	protected $domena_nazwa;

	
	protected $uzasadnienie;

	
	protected $imie;

	
	protected $nazwisko;

	
	protected $nazwa_firmy;

	
	protected $adres;

	
	protected $kod;

	
	protected $miasto;

	
	protected $nip;

	
	protected $telefon;

	
	protected $email;

	
	protected $reprezentant;

	
	protected $reprezentant_email;

	
	protected $obecna_nazwa_strony;

	
	protected $adres_ip;

	
	protected $dns1;

	
	protected $dns2;

	
	protected $nazwa_uslugodawcy;

	
	protected $osoba_odpowiedzialna;

	
	protected $email_uslugodawcy;

	
	protected $telefon_uslugodawcy;

	
	protected $aktywna;

	
	protected $aktywna_od;

	
	protected $aktywna_do;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $aDomeny;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->aktywna = false;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getDomenaId()
	{
		return $this->domena_id;
	}

	
	public function getDomenaNazwa()
	{
		return $this->domena_nazwa;
	}

	
	public function getUzasadnienie()
	{
		return $this->uzasadnienie;
	}

	
	public function getImie()
	{
		return $this->imie;
	}

	
	public function getNazwisko()
	{
		return $this->nazwisko;
	}

	
	public function getNazwaFirmy()
	{
		return $this->nazwa_firmy;
	}

	
	public function getAdres()
	{
		return $this->adres;
	}

	
	public function getKod()
	{
		return $this->kod;
	}

	
	public function getMiasto()
	{
		return $this->miasto;
	}

	
	public function getNip()
	{
		return $this->nip;
	}

	
	public function getTelefon()
	{
		return $this->telefon;
	}

	
	public function getEmail()
	{
		return $this->email;
	}

	
	public function getReprezentant()
	{
		return $this->reprezentant;
	}

	
	public function getReprezentantEmail()
	{
		return $this->reprezentant_email;
	}

	
	public function getObecnaNazwaStrony()
	{
		return $this->obecna_nazwa_strony;
	}

	
	public function getAdresIp()
	{
		return $this->adres_ip;
	}

	
	public function getDns1()
	{
		return $this->dns1;
	}

	
	public function getDns2()
	{
		return $this->dns2;
	}

	
	public function getNazwaUslugodawcy()
	{
		return $this->nazwa_uslugodawcy;
	}

	
	public function getOsobaOdpowiedzialna()
	{
		return $this->osoba_odpowiedzialna;
	}

	
	public function getEmailUslugodawcy()
	{
		return $this->email_uslugodawcy;
	}

	
	public function getTelefonUslugodawcy()
	{
		return $this->telefon_uslugodawcy;
	}

	
	public function getAktywna()
	{
		return $this->aktywna;
	}

	
	public function getAktywnaOd($format = 'Y-m-d H:i:s')
	{
		if ($this->aktywna_od === null) {
			return null;
		}


		if ($this->aktywna_od === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->aktywna_od);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->aktywna_od, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getAktywnaDo($format = 'Y-m-d H:i:s')
	{
		if ($this->aktywna_do === null) {
			return null;
		}


		if ($this->aktywna_do === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->aktywna_do);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->aktywna_do, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::ID;
		}

		return $this;
	} 
	
	public function setDomenaId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->domena_id !== $v) {
			$this->domena_id = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::DOMENA_ID;
		}

		if ($this->aDomeny !== null && $this->aDomeny->getId() !== $v) {
			$this->aDomeny = null;
		}

		return $this;
	} 
	
	public function setDomenaNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->domena_nazwa !== $v) {
			$this->domena_nazwa = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::DOMENA_NAZWA;
		}

		return $this;
	} 
	
	public function setUzasadnienie($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->uzasadnienie !== $v) {
			$this->uzasadnienie = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::UZASADNIENIE;
		}

		return $this;
	} 
	
	public function setImie($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->imie !== $v) {
			$this->imie = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::IMIE;
		}

		return $this;
	} 
	
	public function setNazwisko($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwisko !== $v) {
			$this->nazwisko = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::NAZWISKO;
		}

		return $this;
	} 
	
	public function setNazwaFirmy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwa_firmy !== $v) {
			$this->nazwa_firmy = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::NAZWA_FIRMY;
		}

		return $this;
	} 
	
	public function setAdres($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->adres !== $v) {
			$this->adres = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::ADRES;
		}

		return $this;
	} 
	
	public function setKod($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->kod !== $v) {
			$this->kod = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::KOD;
		}

		return $this;
	} 
	
	public function setMiasto($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->miasto !== $v) {
			$this->miasto = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::MIASTO;
		}

		return $this;
	} 
	
	public function setNip($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nip !== $v) {
			$this->nip = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::NIP;
		}

		return $this;
	} 
	
	public function setTelefon($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->telefon !== $v) {
			$this->telefon = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::TELEFON;
		}

		return $this;
	} 
	
	public function setEmail($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->email !== $v) {
			$this->email = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::EMAIL;
		}

		return $this;
	} 
	
	public function setReprezentant($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->reprezentant !== $v) {
			$this->reprezentant = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::REPREZENTANT;
		}

		return $this;
	} 
	
	public function setReprezentantEmail($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->reprezentant_email !== $v) {
			$this->reprezentant_email = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::REPREZENTANT_EMAIL;
		}

		return $this;
	} 
	
	public function setObecnaNazwaStrony($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->obecna_nazwa_strony !== $v) {
			$this->obecna_nazwa_strony = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::OBECNA_NAZWA_STRONY;
		}

		return $this;
	} 
	
	public function setAdresIp($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->adres_ip !== $v) {
			$this->adres_ip = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::ADRES_IP;
		}

		return $this;
	} 
	
	public function setDns1($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->dns1 !== $v) {
			$this->dns1 = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::DNS1;
		}

		return $this;
	} 
	
	public function setDns2($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->dns2 !== $v) {
			$this->dns2 = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::DNS2;
		}

		return $this;
	} 
	
	public function setNazwaUslugodawcy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->nazwa_uslugodawcy !== $v) {
			$this->nazwa_uslugodawcy = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::NAZWA_USLUGODAWCY;
		}

		return $this;
	} 
	
	public function setOsobaOdpowiedzialna($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->osoba_odpowiedzialna !== $v) {
			$this->osoba_odpowiedzialna = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::OSOBA_ODPOWIEDZIALNA;
		}

		return $this;
	} 
	
	public function setEmailUslugodawcy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->email_uslugodawcy !== $v) {
			$this->email_uslugodawcy = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::EMAIL_USLUGODAWCY;
		}

		return $this;
	} 
	
	public function setTelefonUslugodawcy($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->telefon_uslugodawcy !== $v) {
			$this->telefon_uslugodawcy = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::TELEFON_USLUGODAWCY;
		}

		return $this;
	} 
	
	public function setAktywna($v)
	{
		if ($v !== null) {
			$v = (boolean) $v;
		}

		if ($this->aktywna !== $v || $v === false) {
			$this->aktywna = $v;
			$this->modifiedColumns[] = DomenyZamowieniaPeer::AKTYWNA;
		}

		return $this;
	} 
	
	public function setAktywnaOd($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->aktywna_od !== null || $dt !== null ) {
			
			$currNorm = ($this->aktywna_od !== null && $tmpDt = new DateTime($this->aktywna_od)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->aktywna_od = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyZamowieniaPeer::AKTYWNA_OD;
			}
		} 
		return $this;
	} 
	
	public function setAktywnaDo($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->aktywna_do !== null || $dt !== null ) {
			
			$currNorm = ($this->aktywna_do !== null && $tmpDt = new DateTime($this->aktywna_do)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->aktywna_do = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyZamowieniaPeer::AKTYWNA_DO;
			}
		} 
		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyZamowieniaPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyZamowieniaPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(DomenyZamowieniaPeer::AKTYWNA))) {
				return false;
			}

			if ($this->aktywna !== false) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->domena_id = ($row[$startcol + 1] !== null) ? (int) $row[$startcol + 1] : null;
			$this->domena_nazwa = ($row[$startcol + 2] !== null) ? (string) $row[$startcol + 2] : null;
			$this->uzasadnienie = ($row[$startcol + 3] !== null) ? (string) $row[$startcol + 3] : null;
			$this->imie = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->nazwisko = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->nazwa_firmy = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->adres = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->kod = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->miasto = ($row[$startcol + 9] !== null) ? (string) $row[$startcol + 9] : null;
			$this->nip = ($row[$startcol + 10] !== null) ? (string) $row[$startcol + 10] : null;
			$this->telefon = ($row[$startcol + 11] !== null) ? (string) $row[$startcol + 11] : null;
			$this->email = ($row[$startcol + 12] !== null) ? (string) $row[$startcol + 12] : null;
			$this->reprezentant = ($row[$startcol + 13] !== null) ? (string) $row[$startcol + 13] : null;
			$this->reprezentant_email = ($row[$startcol + 14] !== null) ? (string) $row[$startcol + 14] : null;
			$this->obecna_nazwa_strony = ($row[$startcol + 15] !== null) ? (string) $row[$startcol + 15] : null;
			$this->adres_ip = ($row[$startcol + 16] !== null) ? (string) $row[$startcol + 16] : null;
			$this->dns1 = ($row[$startcol + 17] !== null) ? (string) $row[$startcol + 17] : null;
			$this->dns2 = ($row[$startcol + 18] !== null) ? (string) $row[$startcol + 18] : null;
			$this->nazwa_uslugodawcy = ($row[$startcol + 19] !== null) ? (string) $row[$startcol + 19] : null;
			$this->osoba_odpowiedzialna = ($row[$startcol + 20] !== null) ? (string) $row[$startcol + 20] : null;
			$this->email_uslugodawcy = ($row[$startcol + 21] !== null) ? (string) $row[$startcol + 21] : null;
			$this->telefon_uslugodawcy = ($row[$startcol + 22] !== null) ? (string) $row[$startcol + 22] : null;
			$this->aktywna = ($row[$startcol + 23] !== null) ? (boolean) $row[$startcol + 23] : null;
			$this->aktywna_od = ($row[$startcol + 24] !== null) ? (string) $row[$startcol + 24] : null;
			$this->aktywna_do = ($row[$startcol + 25] !== null) ? (string) $row[$startcol + 25] : null;
			$this->created_at = ($row[$startcol + 26] !== null) ? (string) $row[$startcol + 26] : null;
			$this->updated_at = ($row[$startcol + 27] !== null) ? (string) $row[$startcol + 27] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 28; 
		} catch (Exception $e) {
			throw new PropelException("Error populating DomenyZamowienia object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->aDomeny !== null && $this->domena_id !== $this->aDomeny->getId()) {
			$this->aDomeny = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = DomenyZamowieniaPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->aDomeny = null;
		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			DomenyZamowieniaPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(DomenyZamowieniaPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(DomenyZamowieniaPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyZamowieniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			DomenyZamowieniaPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->aDomeny !== null) {
				if ($this->aDomeny->isModified() || $this->aDomeny->isNew()) {
					$affectedRows += $this->aDomeny->save($con);
				}
				$this->setDomeny($this->aDomeny);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = DomenyZamowieniaPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = DomenyZamowieniaPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += DomenyZamowieniaPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aDomeny !== null) {
				if (!$this->aDomeny->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aDomeny->getValidationFailures());
				}
			}


			if (($retval = DomenyZamowieniaPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = DomenyZamowieniaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getDomenaId();
				break;
			case 2:
				return $this->getDomenaNazwa();
				break;
			case 3:
				return $this->getUzasadnienie();
				break;
			case 4:
				return $this->getImie();
				break;
			case 5:
				return $this->getNazwisko();
				break;
			case 6:
				return $this->getNazwaFirmy();
				break;
			case 7:
				return $this->getAdres();
				break;
			case 8:
				return $this->getKod();
				break;
			case 9:
				return $this->getMiasto();
				break;
			case 10:
				return $this->getNip();
				break;
			case 11:
				return $this->getTelefon();
				break;
			case 12:
				return $this->getEmail();
				break;
			case 13:
				return $this->getReprezentant();
				break;
			case 14:
				return $this->getReprezentantEmail();
				break;
			case 15:
				return $this->getObecnaNazwaStrony();
				break;
			case 16:
				return $this->getAdresIp();
				break;
			case 17:
				return $this->getDns1();
				break;
			case 18:
				return $this->getDns2();
				break;
			case 19:
				return $this->getNazwaUslugodawcy();
				break;
			case 20:
				return $this->getOsobaOdpowiedzialna();
				break;
			case 21:
				return $this->getEmailUslugodawcy();
				break;
			case 22:
				return $this->getTelefonUslugodawcy();
				break;
			case 23:
				return $this->getAktywna();
				break;
			case 24:
				return $this->getAktywnaOd();
				break;
			case 25:
				return $this->getAktywnaDo();
				break;
			case 26:
				return $this->getCreatedAt();
				break;
			case 27:
				return $this->getUpdatedAt();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = DomenyZamowieniaPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getDomenaId(),
			$keys[2] => $this->getDomenaNazwa(),
			$keys[3] => $this->getUzasadnienie(),
			$keys[4] => $this->getImie(),
			$keys[5] => $this->getNazwisko(),
			$keys[6] => $this->getNazwaFirmy(),
			$keys[7] => $this->getAdres(),
			$keys[8] => $this->getKod(),
			$keys[9] => $this->getMiasto(),
			$keys[10] => $this->getNip(),
			$keys[11] => $this->getTelefon(),
			$keys[12] => $this->getEmail(),
			$keys[13] => $this->getReprezentant(),
			$keys[14] => $this->getReprezentantEmail(),
			$keys[15] => $this->getObecnaNazwaStrony(),
			$keys[16] => $this->getAdresIp(),
			$keys[17] => $this->getDns1(),
			$keys[18] => $this->getDns2(),
			$keys[19] => $this->getNazwaUslugodawcy(),
			$keys[20] => $this->getOsobaOdpowiedzialna(),
			$keys[21] => $this->getEmailUslugodawcy(),
			$keys[22] => $this->getTelefonUslugodawcy(),
			$keys[23] => $this->getAktywna(),
			$keys[24] => $this->getAktywnaOd(),
			$keys[25] => $this->getAktywnaDo(),
			$keys[26] => $this->getCreatedAt(),
			$keys[27] => $this->getUpdatedAt(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = DomenyZamowieniaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setDomenaId($value);
				break;
			case 2:
				$this->setDomenaNazwa($value);
				break;
			case 3:
				$this->setUzasadnienie($value);
				break;
			case 4:
				$this->setImie($value);
				break;
			case 5:
				$this->setNazwisko($value);
				break;
			case 6:
				$this->setNazwaFirmy($value);
				break;
			case 7:
				$this->setAdres($value);
				break;
			case 8:
				$this->setKod($value);
				break;
			case 9:
				$this->setMiasto($value);
				break;
			case 10:
				$this->setNip($value);
				break;
			case 11:
				$this->setTelefon($value);
				break;
			case 12:
				$this->setEmail($value);
				break;
			case 13:
				$this->setReprezentant($value);
				break;
			case 14:
				$this->setReprezentantEmail($value);
				break;
			case 15:
				$this->setObecnaNazwaStrony($value);
				break;
			case 16:
				$this->setAdresIp($value);
				break;
			case 17:
				$this->setDns1($value);
				break;
			case 18:
				$this->setDns2($value);
				break;
			case 19:
				$this->setNazwaUslugodawcy($value);
				break;
			case 20:
				$this->setOsobaOdpowiedzialna($value);
				break;
			case 21:
				$this->setEmailUslugodawcy($value);
				break;
			case 22:
				$this->setTelefonUslugodawcy($value);
				break;
			case 23:
				$this->setAktywna($value);
				break;
			case 24:
				$this->setAktywnaOd($value);
				break;
			case 25:
				$this->setAktywnaDo($value);
				break;
			case 26:
				$this->setCreatedAt($value);
				break;
			case 27:
				$this->setUpdatedAt($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = DomenyZamowieniaPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setDomenaId($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setDomenaNazwa($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setUzasadnienie($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setImie($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setNazwisko($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setNazwaFirmy($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setAdres($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setKod($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setMiasto($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setNip($arr[$keys[10]]);
		if (array_key_exists($keys[11], $arr)) $this->setTelefon($arr[$keys[11]]);
		if (array_key_exists($keys[12], $arr)) $this->setEmail($arr[$keys[12]]);
		if (array_key_exists($keys[13], $arr)) $this->setReprezentant($arr[$keys[13]]);
		if (array_key_exists($keys[14], $arr)) $this->setReprezentantEmail($arr[$keys[14]]);
		if (array_key_exists($keys[15], $arr)) $this->setObecnaNazwaStrony($arr[$keys[15]]);
		if (array_key_exists($keys[16], $arr)) $this->setAdresIp($arr[$keys[16]]);
		if (array_key_exists($keys[17], $arr)) $this->setDns1($arr[$keys[17]]);
		if (array_key_exists($keys[18], $arr)) $this->setDns2($arr[$keys[18]]);
		if (array_key_exists($keys[19], $arr)) $this->setNazwaUslugodawcy($arr[$keys[19]]);
		if (array_key_exists($keys[20], $arr)) $this->setOsobaOdpowiedzialna($arr[$keys[20]]);
		if (array_key_exists($keys[21], $arr)) $this->setEmailUslugodawcy($arr[$keys[21]]);
		if (array_key_exists($keys[22], $arr)) $this->setTelefonUslugodawcy($arr[$keys[22]]);
		if (array_key_exists($keys[23], $arr)) $this->setAktywna($arr[$keys[23]]);
		if (array_key_exists($keys[24], $arr)) $this->setAktywnaOd($arr[$keys[24]]);
		if (array_key_exists($keys[25], $arr)) $this->setAktywnaDo($arr[$keys[25]]);
		if (array_key_exists($keys[26], $arr)) $this->setCreatedAt($arr[$keys[26]]);
		if (array_key_exists($keys[27], $arr)) $this->setUpdatedAt($arr[$keys[27]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(DomenyZamowieniaPeer::DATABASE_NAME);

		if ($this->isColumnModified(DomenyZamowieniaPeer::ID)) $criteria->add(DomenyZamowieniaPeer::ID, $this->id);
		if ($this->isColumnModified(DomenyZamowieniaPeer::DOMENA_ID)) $criteria->add(DomenyZamowieniaPeer::DOMENA_ID, $this->domena_id);
		if ($this->isColumnModified(DomenyZamowieniaPeer::DOMENA_NAZWA)) $criteria->add(DomenyZamowieniaPeer::DOMENA_NAZWA, $this->domena_nazwa);
		if ($this->isColumnModified(DomenyZamowieniaPeer::UZASADNIENIE)) $criteria->add(DomenyZamowieniaPeer::UZASADNIENIE, $this->uzasadnienie);
		if ($this->isColumnModified(DomenyZamowieniaPeer::IMIE)) $criteria->add(DomenyZamowieniaPeer::IMIE, $this->imie);
		if ($this->isColumnModified(DomenyZamowieniaPeer::NAZWISKO)) $criteria->add(DomenyZamowieniaPeer::NAZWISKO, $this->nazwisko);
		if ($this->isColumnModified(DomenyZamowieniaPeer::NAZWA_FIRMY)) $criteria->add(DomenyZamowieniaPeer::NAZWA_FIRMY, $this->nazwa_firmy);
		if ($this->isColumnModified(DomenyZamowieniaPeer::ADRES)) $criteria->add(DomenyZamowieniaPeer::ADRES, $this->adres);
		if ($this->isColumnModified(DomenyZamowieniaPeer::KOD)) $criteria->add(DomenyZamowieniaPeer::KOD, $this->kod);
		if ($this->isColumnModified(DomenyZamowieniaPeer::MIASTO)) $criteria->add(DomenyZamowieniaPeer::MIASTO, $this->miasto);
		if ($this->isColumnModified(DomenyZamowieniaPeer::NIP)) $criteria->add(DomenyZamowieniaPeer::NIP, $this->nip);
		if ($this->isColumnModified(DomenyZamowieniaPeer::TELEFON)) $criteria->add(DomenyZamowieniaPeer::TELEFON, $this->telefon);
		if ($this->isColumnModified(DomenyZamowieniaPeer::EMAIL)) $criteria->add(DomenyZamowieniaPeer::EMAIL, $this->email);
		if ($this->isColumnModified(DomenyZamowieniaPeer::REPREZENTANT)) $criteria->add(DomenyZamowieniaPeer::REPREZENTANT, $this->reprezentant);
		if ($this->isColumnModified(DomenyZamowieniaPeer::REPREZENTANT_EMAIL)) $criteria->add(DomenyZamowieniaPeer::REPREZENTANT_EMAIL, $this->reprezentant_email);
		if ($this->isColumnModified(DomenyZamowieniaPeer::OBECNA_NAZWA_STRONY)) $criteria->add(DomenyZamowieniaPeer::OBECNA_NAZWA_STRONY, $this->obecna_nazwa_strony);
		if ($this->isColumnModified(DomenyZamowieniaPeer::ADRES_IP)) $criteria->add(DomenyZamowieniaPeer::ADRES_IP, $this->adres_ip);
		if ($this->isColumnModified(DomenyZamowieniaPeer::DNS1)) $criteria->add(DomenyZamowieniaPeer::DNS1, $this->dns1);
		if ($this->isColumnModified(DomenyZamowieniaPeer::DNS2)) $criteria->add(DomenyZamowieniaPeer::DNS2, $this->dns2);
		if ($this->isColumnModified(DomenyZamowieniaPeer::NAZWA_USLUGODAWCY)) $criteria->add(DomenyZamowieniaPeer::NAZWA_USLUGODAWCY, $this->nazwa_uslugodawcy);
		if ($this->isColumnModified(DomenyZamowieniaPeer::OSOBA_ODPOWIEDZIALNA)) $criteria->add(DomenyZamowieniaPeer::OSOBA_ODPOWIEDZIALNA, $this->osoba_odpowiedzialna);
		if ($this->isColumnModified(DomenyZamowieniaPeer::EMAIL_USLUGODAWCY)) $criteria->add(DomenyZamowieniaPeer::EMAIL_USLUGODAWCY, $this->email_uslugodawcy);
		if ($this->isColumnModified(DomenyZamowieniaPeer::TELEFON_USLUGODAWCY)) $criteria->add(DomenyZamowieniaPeer::TELEFON_USLUGODAWCY, $this->telefon_uslugodawcy);
		if ($this->isColumnModified(DomenyZamowieniaPeer::AKTYWNA)) $criteria->add(DomenyZamowieniaPeer::AKTYWNA, $this->aktywna);
		if ($this->isColumnModified(DomenyZamowieniaPeer::AKTYWNA_OD)) $criteria->add(DomenyZamowieniaPeer::AKTYWNA_OD, $this->aktywna_od);
		if ($this->isColumnModified(DomenyZamowieniaPeer::AKTYWNA_DO)) $criteria->add(DomenyZamowieniaPeer::AKTYWNA_DO, $this->aktywna_do);
		if ($this->isColumnModified(DomenyZamowieniaPeer::CREATED_AT)) $criteria->add(DomenyZamowieniaPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(DomenyZamowieniaPeer::UPDATED_AT)) $criteria->add(DomenyZamowieniaPeer::UPDATED_AT, $this->updated_at);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(DomenyZamowieniaPeer::DATABASE_NAME);

		$criteria->add(DomenyZamowieniaPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setDomenaId($this->domena_id);

		$copyObj->setDomenaNazwa($this->domena_nazwa);

		$copyObj->setUzasadnienie($this->uzasadnienie);

		$copyObj->setImie($this->imie);

		$copyObj->setNazwisko($this->nazwisko);

		$copyObj->setNazwaFirmy($this->nazwa_firmy);

		$copyObj->setAdres($this->adres);

		$copyObj->setKod($this->kod);

		$copyObj->setMiasto($this->miasto);

		$copyObj->setNip($this->nip);

		$copyObj->setTelefon($this->telefon);

		$copyObj->setEmail($this->email);

		$copyObj->setReprezentant($this->reprezentant);

		$copyObj->setReprezentantEmail($this->reprezentant_email);

		$copyObj->setObecnaNazwaStrony($this->obecna_nazwa_strony);

		$copyObj->setAdresIp($this->adres_ip);

		$copyObj->setDns1($this->dns1);

		$copyObj->setDns2($this->dns2);

		$copyObj->setNazwaUslugodawcy($this->nazwa_uslugodawcy);

		$copyObj->setOsobaOdpowiedzialna($this->osoba_odpowiedzialna);

		$copyObj->setEmailUslugodawcy($this->email_uslugodawcy);

		$copyObj->setTelefonUslugodawcy($this->telefon_uslugodawcy);

		$copyObj->setAktywna($this->aktywna);

		$copyObj->setAktywnaOd($this->aktywna_od);

		$copyObj->setAktywnaDo($this->aktywna_do);

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new DomenyZamowieniaPeer();
		}
		return self::$peer;
	}

	
	public function setDomeny(Domeny $v = null)
	{
		if ($v === null) {
			$this->setDomenaId(NULL);
		} else {
			$this->setDomenaId($v->getId());
		}

		$this->aDomeny = $v;

						if ($v !== null) {
			$v->addDomenyZamowienia($this);
		}

		return $this;
	}


	
	public function getDomeny(PropelPDO $con = null)
	{
		if ($this->aDomeny === null && ($this->domena_id !== null)) {
			$c = new Criteria(DomenyPeer::DATABASE_NAME);
			$c->add(DomenyPeer::ID, $this->domena_id);
			$this->aDomeny = DomenyPeer::doSelectOne($c, $con);
			
		}
		return $this->aDomeny;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
		} 
			$this->aDomeny = null;
	}

} 